#!/bin/bash -e
# shellcheck disable=SC1091

set -a
. ./.env
set +a

REGISTRY="${IMAGEAPP%%/*}"
NS="${ACTION_REPO#*/}-${ACTION_REF_NAME}"

mkdir -p "$HOME/.kube/"
echo "$ACTION_KUBECONFIG" > "$HOME/.kube/config"
kubectl get namespace "$NS" || kubectl create namespace "$NS"
kubectl config set-context --current --namespace="$NS"

if [ -n "$ACTION_REGISTRY_PASSWORD" ]; then
    kubectl get secret regcred \
        || kubectl create secret docker-registry regcred \
            --docker-server="$REGISTRY" \
            --docker-username="$ACTION_REGISTRY_USERNAME" \
            --docker-password="$ACTION_REGISTRY_PASSWORD"
fi

if [ "$ACTION_REF_NAME" == prod ]; then
    ./manifests/bin/prod.sh
else
    ./manifests/bin/devel.sh
fi
